Skip to main content
POST
/
v1
/
channel
/
ticket
Create Ticket
curl --request POST \
  --url https://scx-sbx.api.jtl-software.com/v1/channel/ticket \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sellerId": "4711",
  "ticketId": "CASE-01071982",
  "topic": "QUESTION",
  "createdAt": "2023-11-07T05:31:56Z",
  "from": {
    "role": "BUYER",
    "name": "Dave"
  },
  "subject": "Pod bay door seems to be locked.",
  "message": "Open the pod bay doors HAL.",
  "reference": {
    "type": "ORDERID",
    "id": "19820701"
  },
  "replyRequested": true,
  "attachment": [
    {
      "filename": "RedDot.png",
      "contentType": "image/png"
    }
  ]
}
'
{
  "errorList": [
    {
      "code": "VAL100",
      "message": "Required field sellerId not found",
      "severity": "error",
      "hint": "Check the field `sellerId` — it must be a non-empty string."
    }
  ]
}

Authorizations

Authorization
string
header
required

As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.

Body

application/json

Customer service ticket created on the channel side that should be forwarded to the seller.

sellerId
string
required

A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.

Pattern: ^\w{1,50}$
Example:

"4711"

ticketId
string
required

Unique identifcation for Ticket Id

Required string length: 1 - 256
Example:

"CASE-01071982"

topic
enum<string>
required
Available options:
QUESTION,
FEEDBACK,
DELIVERY,
RETURN,
REFUND,
INCIDENT
createdAt
string<date-time>
required
from
TicketFrom · object
required
subject
string
required
Required string length: 1 - 1024
Example:

"Pod bay door seems to be locked."

message
string
required
Required string length: 1 - 1024
Example:

"Open the pod bay doors HAL."

reference
TicketReference · object
replyRequested
boolean
default:true
Example:

true

attachment
TicketAttachment · object[]
Maximum array length: 10

Response

Ticket created